Resend refund callback
curl --request POST \
--url https://api.sandbox.pawapay.io/refunds/resend-callback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"refundId": "f4401bd2-1568-4140-bf2d-eb77d2b2b639"
}
'import requests
url = "https://api.sandbox.pawapay.io/refunds/resend-callback"
payload = { "refundId": "f4401bd2-1568-4140-bf2d-eb77d2b2b639" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({refundId: 'f4401bd2-1568-4140-bf2d-eb77d2b2b639'})
};
fetch('https://api.sandbox.pawapay.io/refunds/resend-callback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payoutId": "f4401bd2-1568-4140-bf2d-eb77d2b2b639",
"status": "ACCEPTED"
}Refunds
Resend refund callback
POST
/
refunds
/
resend-callback
Resend refund callback
Resends the callback for a refund to your configured callback URL. The refund must have reached a final state.
Please ensure your implementation of callback handling follows the guidelines in Handling callbacks.
Authorizations
See Authentication.
Body
application/json
A UUIDv4 based ID previously specified by you, that uniquely identifies the refund.
Required string length:
36Example:
"f4401bd2-1568-4140-bf2d-eb77d2b2b639"
Response
Request has been processed by PawaPay
The refundId of the refund transaction.
Required string length:
36Example:
"f4401bd2-1568-4140-bf2d-eb77d2b2b639"
Possible initiation statuses:
ACCEPTED- The manual action request has been accepted by PawaPay for processing.REJECTED- The manual action request has been rejected by PawaPay. See rejectionReason for details.FAILED- The manual action request has failed during submitting for processing due to internal reasons.
Available options:
ACCEPTED, REJECTED, FAILED Human-readable explanation why request has been rejected
Example:
"Refund with ID \\#f4401bd2-1568-4140-bf2d-eb77d2b2b639 not found"
Was this page helpful?